petsc-3.7.7 2017-09-25
Report Typos and Errors

# DMPlexTSGetGradientDM

Return gradient data layout

### Synopsis

    #include "petscdmplex.h"
    #include "petscts.h"
    PetscErrorCode DMPlexTSGetGradientDM(DM dm, PetscFV fv, DM *dmGrad)

### Input Parameters

| dm | - The DM
| fv | - The PetscFV

### Output Parameter

dmGrad -The layout for gradient values

### See Also

DMPlexTSGetGeometryFVM(), DMPlexTSSetRHSFunctionLocal()

Level:developer
Location:src/ts/utils/dmplexts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages